package net.sf.dc.console.book;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.tables.DcTable;
import net.sf.dc.console.forms.AmazonSearchForm;
import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.book.Book;

public class AmazonBookSearchForm extends AmazonSearchForm {
    

    public AmazonBookSearchForm(DcObject dco, ItemForm itemForm) {
        super(dco, itemForm);
    }
    
    public AmazonBookSearchForm(DcObject dco, int tab) {
        super(dco, tab);
    }    
    
    protected DcTable getTable() {
        DcTable table = ComponentFactory.getDCTable(DCModules.getModule(DCModules._BOOK), true, false);
        
        table.resetTable();
        int[] fields = {Book._J_LOCATION, Book._H_ISBN, Book._G_CATEGORY, Book._ID, Book._F_WEBPAGE,
                        Book._L_USER_LONGTEXT, Book._M_USER_SHORTTEXT1, Book._N_USER_SHORTTEXT2,
                        Book._O_USER_NUMERIC1, Book._P_USER_NUMERIC2};
        table.removeFields(fields);
        return table;
    }
}        
