/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import javax.swing.JPasswordField;

import net.sf.ext.jflexsett.settings.ui.ISettingsComponent;

/**
 * Simple password field
 * 
 * @author Robert Jan van der Waals
 * @version 1.9
 * @since 1.4
 */
public class DcPasswordField extends JPasswordField implements ISettingsComponent {

	public void setValue(Object value) {
        String s = value == null ? "" : value.toString();
		super.setText(s);
	}

	public Object getValue() {
        String password = "";
        try {
            password = String.valueOf(getPassword());
        } catch (Exception exp) {}
        return password;
	}
}
