/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.movie;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.movie.Movie;

/**
 * @author Robert Jan van der Waals
 * @version 2.2
 * @since 1.4
 */
public class MovieQuickViewPane extends QuickViewPanel {
    
    public MovieQuickViewPane() {
        super(DCModules.getModule(DCModules._AUDIOCD));
    }
    
    /**
     * Create the quickview pane for all fields 
     */
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, Movie._A_TITLE, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._B_TITLE_LOCAL, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._I_YEAR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._J_PLAYLENGTH, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._C_DESCRIPTION, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._E_GENRE, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._F_ACTORS, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._G_DIRECTOR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._H_COUNTRY, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._Y_LANGUAGE, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._Z_AUDIOLANGUAGE, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._3_LOCATION, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._V_PICTUREFRONT, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._W_PICTUREBACK, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._X_PICTURECD, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._3_LOCATION, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._4_RATING, _DIRECTION_HORIZONTAL);
        table += "</table>";        
        return table;
    }
}
