package net.sf.dc.console.software;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.tables.DcTable;
import net.sf.dc.console.forms.AmazonSearchForm;
import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.software.Software;

public class AmazonSoftwareSearchForm extends AmazonSearchForm {

    public AmazonSoftwareSearchForm(DcObject dco, ItemForm itemForm) {
        super(dco, itemForm);
    }
    
    public AmazonSoftwareSearchForm(DcObject dco, int tab) {
        super(dco, tab);
    }    
    
    protected DcTable getTable() {
        DcTable table = ComponentFactory.getDCTable(DCModules.getModule(DCModules._SOFTWARE), true, false);
        table.resetTable();

        int[] fields = {Software._C_DEVELOPER, Software._G_WEBPAGE, Software._O_SCREENSHOTTWO, 
                        Software._P_SCREENSHOTTHREE, Software._H_FILENAME, Software._I_TYPE, Software._ID, 
                        Software._J_MULTI, Software._L_PICTUREBACK, Software._M_PICTURECD, Software._Q_SERIALKEY, Software._R_FILESIZE, 
                        Software._S_LOCATION, Software._U_USER_LONGTEXT, Software._V_USER_SHORTTEXT1, Software._W_USER_SHORTTEXT2,
                        Software._X_USER_NUMERIC1, Software._Y_USER_NUMERIC2};
        table.removeFields(fields);
        return table;
    }
}
