/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.software;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.software.Software;

/**
 * @author Robert Jan van der Waals
 * @version 2.2
 * @since 1.4
 */
public class SoftwareQuickViewPane extends QuickViewPanel {
    
    public SoftwareQuickViewPane() {
        super(DCModules.getModule(DCModules._SOFTWARE));
    }
    
    /**
     * Create the quickview pane for all fields 
     */
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, Software._A_NAME, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, Software._I_TYPE, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._C_DEVELOPER, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._D_PUBLISHER, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._E_PLATFORM, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._F_RELEASEYEAR, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._B_DESCRIPTION, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, Software._S_LOCATION, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._T_RATING, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._K_PICTUREFRONT, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._L_PICTUREBACK, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._M_PICTURECD, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._N_SCREENSHOTONE, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._O_SCREENSHOTTWO, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, Software._P_SCREENSHOTTHREE, QuickViewPanel._DIRECTION_HORIZONTAL);
        table += "</table>";
        
        return table;
    }
}
