/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.actions;

import java.awt.event.ActionEvent;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.settings.DcSettings;

/**
 * @author Robert Jan van der Waals
 * @version 2.2
 * @since 1.4
 */
public class ToggleQuickViewAction extends DCAction {

    public void actionPerformed(ActionEvent ae) {
        boolean b = !DcSettings.getValueAsBoolean(Repository.settings.stShowQuickView);
        DCModules.getModule(DCModules._AUDIOCD).getSearchPanel().showQuickView(b);
        DCModules.getModule(DCModules._SOFTWARE).getSearchPanel().showQuickView(b);
        DCModules.getModule(DCModules._MUSIC).getSearchPanel().showQuickView(b);
        DCModules.getModule(DCModules._MOVIE).getSearchPanel().showQuickView(b);
        DCModules.getModule(DCModules._BOOK).getSearchPanel().showQuickView(b);
        DcSettings.setValue(Repository.settings.stShowQuickView, new Boolean(b));
    }
}
