/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.book;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.ext.util.Utilities;

/**
 * Representation of a Book Catagory.
 * Allows saving, updating and querying of Catagory items
 *
 * @author Robert Jan van der Waals
 * @since 1.4
 * @version 1.9
 */
public class BookCategory extends DcObject {

    public static final int _A_NAME = 1;
    public static final int _B_ICON = 2;

    public BookCategory() {
        super();
    }

    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */      
    protected void setModuleIndex() {
        module = DCModules._BOOKCAT;
    }     

    /**
     * Returns the icon for this object
     */  
    public ImageIcon getIcon() {
        String value = (String) getValue(_B_ICON);
        if (value != null && value.length() > 1) {
        	return Utilities.base64ToImage(value);
        } else {
            return null;
        }
    } 
    
    public String getFilename() {
    	return null;
    }
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(BookCategory._A_NAME).toString();
    }    
    
    public boolean equals(Object o) {
    	boolean equals = false;
    	if (o != null && o instanceof BookCategory) {
    		equals = ((BookCategory) o).getID().equals(getID());
    	}
    	return equals;
    }    
}
