/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.movie;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;

/**
 * Movie object
 * 
 * @author Robert Jan van der Waals
 * @since 1.3
 * @version 0.5
 */
public class Movie extends DcObject {

    public static final int _A_TITLE = 1;
    public static final int _B_TITLE_LOCAL = 2;
    public static final int _C_DESCRIPTION = 3;
    public static final int _D_WEBPAGE = 4;
    public static final int _E_GENRE = 5;
    public static final int _F_ACTORS = 6;
    public static final int _G_DIRECTOR = 7;
    public static final int _H_COUNTRY = 8;
    public static final int _I_YEAR = 9;
    public static final int _J_PLAYLENGTH = 10;
    public static final int _K_FILENAME = 11;
    public static final int _L_VIDEOCODEC = 12;
    public static final int _M_AUDIOCODEC = 13;
    public static final int _N_WIDTH = 14;
    public static final int _O_HEIGHT = 15;
    public static final int _P_FPS = 16;
    public static final int _Q_FRAMES = 17;
    public static final int _R_AUDIOBITRATE = 18;
    public static final int _S_AUDIOSAMPLINGRATE = 19;
    public static final int _T_AUDIOCHANNEL = 20;
    public static final int _U_VIDEOBITRATE = 21;
    public static final int _V_PICTUREFRONT = 22;
    public static final int _W_PICTUREBACK = 23;
    public static final int _X_PICTURECD = 24;
    public static final int _Y_LANGUAGE = 25;
    public static final int _Z_AUDIOLANGUAGE = 26;
    public static final int _0_SUBTITLELANGUAGE = 27;
    public static final int _1_CERTIFICATION = 28;
    public static final int _2_FILESIZE = 29;
    public static final int _3_LOCATION = 30;
    public static final int _4_RATING = 31;
    public static final int _5_USER_LONGTEXT = 32;
    public static final int _6_USER_SHORTTEXT1 = 33;
    public static final int _7_USER_SHORTTEXT2 = 34;
    public static final int _8_USER_NUMERIC1 = 35;
    public static final int _9_USER_NUMERIC2 = 36;
    
    public Movie() {
        super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */    
    protected void setModuleIndex() {
        module = DCModules._MOVIE;
    }
    
    /**
     * Returns the icon for this object
     */    
    public ImageIcon getIcon() {
        return null;    
    }
    
    public String getFilename() {
    	return (String) getValue(Movie._K_FILENAME);
    }
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(Movie._A_TITLE).toString();
    }     
}
