/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.software;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;

/**
 * Representation of a Software item. Allows saving, updating and querying
 * of Software items
 *
 * @author Robert Jan van der Waals
 * @since 1.3
 * @version 0.5
 */
public class Software extends DcObject {

    public static final int _A_NAME = 1;
    public static final int _B_DESCRIPTION = 2;
    public static final int _C_DEVELOPER = 3;
    public static final int _D_PUBLISHER  = 4;
    public static final int _E_PLATFORM = 5;
    public static final int _F_RELEASEYEAR = 6;
    public static final int _G_WEBPAGE = 7;
    public static final int _H_FILENAME = 8;
    public static final int _I_TYPE = 9;
    public static final int _J_MULTI = 10;
    public static final int _K_PICTUREFRONT = 11;    
    public static final int _L_PICTUREBACK = 12;
    public static final int _M_PICTURECD = 13;
    public static final int _N_SCREENSHOTONE = 14;
    public static final int _O_SCREENSHOTTWO = 15;
    public static final int _P_SCREENSHOTTHREE = 16;
    public static final int _Q_SERIALKEY = 17;
    public static final int _R_FILESIZE = 18;
    public static final int _S_LOCATION = 19;
    public static final int _T_RATING = 20;
    public static final int _U_USER_LONGTEXT = 21;
    public static final int _V_USER_SHORTTEXT1 = 22;
    public static final int _W_USER_SHORTTEXT2 = 23;
    public static final int _X_USER_NUMERIC1 = 24;
    public static final int _Y_USER_NUMERIC2 = 25;

    public Software() {
       super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */  
    protected void setModuleIndex() {
        module = DCModules._SOFTWARE;
    }    

    /**
     * Returns the icon for this object
     */      
    public ImageIcon getIcon() {
        return null;    
    }    
    
    public String getFilename() {
    	return (String) getValue(Software._H_FILENAME);
    }    
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(Software._A_NAME).toString();
    }    
}
